import * as React from 'react';
import { tokenize, getLanguage } from 'illuminate-js';
import { TokenElement } from './Token';
export class Illuminate extends React.Component {
    shouldComponentUpdate(nextProps) {
        return this.props.children !== nextProps.children || this.props.lang !== nextProps.lang;
    }
    render() {
        const { lang, children } = this.props;
        let token = children;
        const grammar = getLanguage(lang || '');
        if (!grammar) {
            return children;
        }
        token = tokenize(children, grammar);
        return (React.createElement("pre", { className: `language-${lang}` },
            React.createElement("code", null,
                React.createElement(TokenElement, { token: token }))));
    }
}
