"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const illuminate_js_1 = require("illuminate-js");
const Token_1 = require("./Token");
class Illuminate extends React.Component {
    shouldComponentUpdate(nextProps) {
        return this.props.children !== nextProps.children || this.props.lang !== nextProps.lang;
    }
    render() {
        const { lang, children } = this.props;
        let token = children;
        const grammar = illuminate_js_1.getLanguage(lang || '');
        if (!grammar) {
            return children;
        }
        token = illuminate_js_1.tokenize(children, grammar);
        return (React.createElement("pre", { className: `language-${lang}` },
            React.createElement("code", null,
                React.createElement(Token_1.TokenElement, { token: token }))));
    }
}
exports.Illuminate = Illuminate;
