"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
function TokenElement(props) {
    const { token } = props;
    if (typeof token === 'string') {
        return React.createElement("span", null, token);
    }
    if (Array.isArray(token)) {
        return React.createElement("span", null, token.map((t, i) => React.createElement(TokenElement, { token: t, key: i })));
    }
    const classes = ['token', token.type];
    if (token.alias) {
        const aliases = Array.isArray(token.alias) ? token.alias : [token.alias];
        classes.push(...aliases);
    }
    return (React.createElement("span", { className: classes.join(' ') },
        React.createElement(TokenElement, { token: token.content })));
}
exports.TokenElement = TokenElement;
